Package org.apache.sling.distribution.journal.impl.publisher

# Class PubQueueProviderPublisher

java.lang.Object
org.apache.sling.distribution.journal.impl.publisher.PubQueueProviderPublisher

public class PubQueueProviderPublisher extends Object
Normally PubQueueProvider should be created per publish agent. For compatibility with current code and to save on number of consumers we must make sure to publish only one for the messaging based impl.

## Constructor Summary

Constructors
Constructor
Description
`PubQueueProviderPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, DiscoveryService discoveryService, Topics topics, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProviderFactory pubQueueProviderFactory, org.osgi.framework.BundleContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PubQueueProviderPublisher

public PubQueueProviderPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, DiscoveryService discoveryService, Topics topics, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProviderFactory pubQueueProviderFactory, org.osgi.framework.BundleContext context)

## Method Details

### deactivate

public void deactivate()